Subject: [L2tpext] Re: draft-ietf-l2tpext-failover-04.txt: Recovery tunnel

From: Vipin Jain <[email-masked]>
Date: Wed, 18 May 2005 08:50:12 -0700 (PDT)

Arif,

The intention of the clause was to only allow sending messages that are used to
 establish and teardown the recovery tunnel:
- SCCRQ
- SCCRP
- SCCCN
- StopCCN
- ZLB Ack

I'll clarify the text to specify this in next rev (final rev).

To specifically answer your questions:
>          - can we send StopCCN message for the recovery tunnel 
yes; I think above text clarification would ensure this is covered

>          - Do v need retransmit mechanism for the recovery tunnel
yes, that's the part of tunnel establishment and recovery

>          - if validation of recovery tunnel fails , we have to terminate
> tunnel : 
yes; 

thanks,
-- vipin

--- Arif <[email-masked]> wrote:
> 
> 
> Hi Vipin ,
> 
> Some doubts in Recovery tunnel establishement
> 
> In the doc :draft-ietf-l2tpext-failover-04.txt  section 2.2.1 it
> mentioned that
> 
> 
>        The purpose of the recovery tunnel is solely to recover the
>          corresponding old tunnel.  An endpoint SHOULD not send any
>          control message on this tunnel, other than the messages to
>          establish the tunnel itself. Recovery tunnel MUST use the same
>          L2TP version and establishment procedures that were used for
>          the control connection being recovered. It MUST follow the
>          procedures described in [L2TPv2] or [L2TPv3] to establish the
>          recovery tunnel. To identify the old control connection, SCCRQ
>          message for recovery tunnel MUST include Tunnel Recovery AVP.
>          
>          
>          
>          Its mentioned that it SHOULD not send any message other that
> establish messages in the
>          recovery tunnel : also its mentioned that it MUST follow the
> same L2TPv3 procedures of tunnel
>          establishment :
>          
>          So doubt is 
>          - can we send StopCCN message for the recovery tunnel 
>          - Do v need retransmit mechanism for the recovery tunnel
>          - if validation of recovery tunnel fails , we have to terminate
> tunnel : 
>          in this case do v need to send StopCCN : if not how the peer
> knows the recovery tunnel 
>          validation fails .
> 
> 
> 
> --------------------------
> Thanks and Regards,
> Arif
> 
> 

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
L2tpext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l2tpext